petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESCreate

Creates a nonlinear solver context.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESCreate(MPI_Comm comm,SNES *outsnes)

Collective on MPI_Comm Many br

### Input Parameters

comm -MPI communicator Many br

### Output Parameter

outsnes -the new SNES context Many br

### Options Database Keys

| -snes_mf | - Activates default matrix-free Jacobian-vector products, Many brand no preconditioning matrix Many br
| -snes_mf_operator | - Activates default matrix-free Jacobian-vector Many brproducts, and a user-provided preconditioning matrix Many bras set by SNESSetJacobian() Many br
| -snes_fd | - Uses (slow!) finite differences to compute Jacobian Many br

Many br

### Keywords

SNES, nonlinear, create, context

### See Also

SNESSolve(), SNESDestroy(), SNES, SNESSetLagPreconditioner()

Level:beginner
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex5s.c.html
src/snes/examples/tutorials/ex7.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex19.c.html